import { Component } from 'vue';
import { ComponentOptionsMixin } from 'vue';
import { ComponentProvideOptions } from 'vue';
import { DefineComponent } from 'vue';
import { PublicProps } from 'vue';

declare const __VLS_component: DefineComponent<ButtonProps, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {
click: (event: MouseEvent) => any;
}, string, PublicProps, Readonly<ButtonProps> & Readonly<{
onClick?: ((event: MouseEvent) => any) | undefined;
}>, {
color: ThemeColor;
size: ComponentSize;
radius: ComponentRadius;
disabled: boolean;
variant: ButtonVariant;
loading: boolean;
fullWidth: boolean;
type: "button" | "submit" | "reset";
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, any>;

declare const __VLS_component_2: DefineComponent<BadgeProps, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<BadgeProps> & Readonly<{}>, {
color: ThemeColor;
size: ComponentSize;
radius: ComponentRadius;
variant: BadgeVariant;
fullWidth: boolean;
circle: boolean;
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, any>;

declare const __VLS_component_3: DefineComponent<SelectProps, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {
"update:modelValue": (value: string | null) => any;
change: (option: SelectOption | null) => any;
}, string, PublicProps, Readonly<SelectProps> & Readonly<{
"onUpdate:modelValue"?: ((value: string | null) => any) | undefined;
onChange?: ((option: SelectOption | null) => any) | undefined;
}>, {
color: "primary" | "secondary" | "success" | "warning" | "danger" | "info" | "dark" | "light";
size: "xs" | "sm" | "md" | "lg" | "xl";
radius: "xs" | "sm" | "md" | "lg" | "xl" | "none";
disabled: boolean;
variant: "filled" | "outline";
loading: boolean;
modelValue: string | null;
error: boolean;
placeholder: string;
options: SelectOption[];
searchable: boolean;
clearable: boolean;
withCheckIcon: boolean;
checkIconPosition: "left" | "right";
nothingFoundMessage: string;
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, any>;

declare const __VLS_component_4: DefineComponent<RadioProps, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {
"update:modelValue": (value: any) => any;
change: (value: any) => any;
}, string, PublicProps, Readonly<RadioProps> & Readonly<{
"onUpdate:modelValue"?: ((value: any) => any) | undefined;
onChange?: ((value: any) => any) | undefined;
}>, {
color: ThemeColor;
size: ComponentSize;
disabled: boolean;
label: string;
modelValue: any;
value: any;
id: string;
labelPosition: "left" | "right";
description: string;
error: string;
iconColor: string;
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, any>;

declare const __VLS_component_5: DefineComponent<AlertProps, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {} & {
close: () => any;
}, string, PublicProps, Readonly<AlertProps> & Readonly<{
onClose?: (() => any) | undefined;
}>, {
color: ColorVariant;
size: ComponentSize;
disabled: boolean;
variant: VariantType;
loading: boolean;
invalid: boolean;
closable: boolean;
valid: boolean;
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, any>;

declare function __VLS_template(): {
    slots: {
        loader?(_: {}): any;
        default?(_: {}): any;
    };
    refs: {};
    attrs: Partial<{}>;
};

declare function __VLS_template_2(): {
    slots: {
        default?(_: {}): any;
    };
    refs: {};
    attrs: Partial<{}>;
};

declare function __VLS_template_3(): {
    slots: {
        loader?(_: {}): any;
    };
    refs: {
        selectRoot: HTMLDivElement;
        searchInput: HTMLInputElement;
    };
    attrs: Partial<{}>;
};

declare function __VLS_template_4(): {
    slots: {
        label?(_: {}): any;
        description?(_: {}): any;
        error?(_: {}): any;
    };
    refs: {
        radio: HTMLInputElement;
    };
    attrs: Partial<{}>;
};

declare function __VLS_template_5(): {
    slots: {
        default?(_: {}): any;
    };
    refs: {};
    attrs: Partial<{}>;
};

declare type __VLS_TemplateResult = ReturnType<typeof __VLS_template>;

declare type __VLS_TemplateResult_2 = ReturnType<typeof __VLS_template_2>;

declare type __VLS_TemplateResult_3 = ReturnType<typeof __VLS_template_3>;

declare type __VLS_TemplateResult_4 = ReturnType<typeof __VLS_template_4>;

declare type __VLS_TemplateResult_5 = ReturnType<typeof __VLS_template_5>;

declare type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};

declare type __VLS_WithTemplateSlots_2<T, S> = T & {
    new (): {
        $slots: S;
    };
};

declare type __VLS_WithTemplateSlots_3<T, S> = T & {
    new (): {
        $slots: S;
    };
};

declare type __VLS_WithTemplateSlots_4<T, S> = T & {
    new (): {
        $slots: S;
    };
};

declare type __VLS_WithTemplateSlots_5<T, S> = T & {
    new (): {
        $slots: S;
    };
};

declare type __VLS_WithTemplateSlots_6<T, S> = T & {
    new (): {
        $slots: S;
    };
};

export declare const Alert: __VLS_WithTemplateSlots_6<typeof __VLS_component_5, __VLS_TemplateResult_5["slots"]>;

export declare interface AlertProps {
    /** Title of the alert */
    title?: string;
    /** Main content of the alert */
    message?: string;
    /** Icon to display */
    icon?: string;
    /** Alert variant */
    variant?: VariantType;
    /** Color of the alert */
    color?: ColorVariant;
    /** Size of the alert */
    size?: ComponentSize;
    /** Whether to show close button */
    closable?: boolean;
    /** Callback when alert is closed */
    onClose?: () => void;
    /** Whether the alert is disabled */
    disabled?: boolean;
    /** Whether the alert is in loading state */
    loading?: boolean;
    /** Whether the alert is in valid state */
    valid?: boolean;
    /** Whether the alert is in invalid state */
    invalid?: boolean;
    /** Custom classes */
    class?: string;
}

export declare const Badge: __VLS_WithTemplateSlots_2<typeof __VLS_component_2, __VLS_TemplateResult_2["slots"]>;

export declare interface BadgeProps {
    /** Controls font-size, height and horizontal padding */
    size?: ComponentSize;
    /** If set, badge min-width becomes equal to its height and horizontal padding is removed */
    circle?: boolean;
    /** Controls border-radius */
    radius?: ComponentRadius;
    /** Badge color */
    color?: ThemeColor;
    /** Gradient configuration used when variant="gradient" */
    gradient?: {
        from: string;
        to: string;
        deg?: number;
    };
    /** Content displayed on the left side of the badge label */
    leftSection?: string | Component;
    /** Content displayed on the right side of the badge label */
    rightSection?: string | Component;
    /** Determines whether Badge should take 100% of its parent width */
    fullWidth?: boolean;
    /** Badge variant */
    variant?: BadgeVariant;
}

export declare type BadgeVariant = 'filled' | 'light' | 'outline' | 'dot' | 'transparent' | 'white' | 'default' | 'gradient';

export declare const Button: __VLS_WithTemplateSlots<typeof __VLS_component, __VLS_TemplateResult["slots"]>;

export declare type ButtonColor = NonNullable<ButtonProps['color']>;

export declare interface ButtonProps {
    /** Button variant */
    variant?: ButtonVariant;
    /** Button color */
    color?: ThemeColor;
    /** Button size */
    size?: ComponentSize;
    /** Border radius */
    radius?: ComponentRadius;
    /** Disabled state */
    disabled?: boolean;
    /** Loading state */
    loading?: boolean;
    /** Full width button */
    fullWidth?: boolean;
    /** Custom class names */
    class?: string;
    /** Button type */
    type?: 'button' | 'submit' | 'reset';
    /** Left section content */
    leftSection?: any;
    /** Right section content */
    rightSection?: any;
    /** Props passed to left section */
    leftSectionProps?: SectionProps;
    /** Props passed to right section */
    rightSectionProps?: SectionProps;
    onClick?: (event: MouseEvent) => any;
}

export declare type ButtonRadius = NonNullable<ButtonProps['radius']>;

export declare type ButtonSize = NonNullable<ButtonProps['size']>;

declare type ButtonVariant = 'filled' | 'light' | 'outline' | 'subtle' | 'gradient' | 'white' | 'default';

export declare const Checkbox: DefineComponent<CheckboxProps, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {} & {
"update:modelValue": (value: boolean) => any;
change: (value: boolean) => any;
}, string, PublicProps, Readonly<CheckboxProps> & Readonly<{
"onUpdate:modelValue"?: ((value: boolean) => any) | undefined;
onChange?: ((value: boolean) => any) | undefined;
}>, {
color: ColorVariant;
size: Size;
radius: "sm" | "md" | "lg" | "full";
disabled: boolean;
label: string;
modelValue: boolean | any[];
labelPosition: "left" | "right";
description: string;
error: string;
indeterminate: boolean;
iconColor: ColorVariant;
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, any>;

export declare interface CheckboxProps {
    modelValue?: boolean | any[];
    value?: string | number;
    id?: string;
    label?: string;
    color?: ColorVariant;
    size?: Size;
    radius?: 'sm' | 'md' | 'lg' | 'full';
    labelPosition?: 'left' | 'right';
    description?: string;
    error?: string;
    disabled?: boolean;
    indeterminate?: boolean;
    iconColor?: ColorVariant;
    autoContrast?: boolean;
}

export declare const Chip: DefineComponent<ChipProps, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {} & {
"update:modelValue": (value: boolean) => any;
}, string, PublicProps, Readonly<ChipProps> & Readonly<{
"onUpdate:modelValue"?: ((value: boolean) => any) | undefined;
}>, {
color: ChipColor;
size: ChipSize;
disabled: boolean;
variant: ChipVariant;
loading: boolean;
label: string;
modelValue: boolean;
withCheckIcon: boolean;
allowDeselect: boolean;
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, any>;

declare type ChipColor = 'primary' | 'secondary' | 'success' | 'warning' | 'danger' | 'info' | 'dark' | 'light';

export declare interface ChipProps {
    /**
     * Model value for v-model binding
     */
    modelValue?: boolean;
    /**
     * The label text to display inside the chip
     */
    label?: string;
    /**
     * The size of the chip
     * @default 'md'
     */
    size?: ChipSize;
    /**
     * The variant style of the chip
     * @default 'filled'
     */
    variant?: ChipVariant;
    /**
     * The color theme of the chip
     * @default 'primary'
     */
    color?: ChipColor;
    /**
     * Whether the chip is disabled
     * @default false
     */
    disabled?: boolean;
    /**
     * Whether to show the check icon
     * @default true
     */
    withCheckIcon?: boolean;
    /**
     * Whether the chip appears in a loading state
     * @default false
     */
    loading?: boolean;
    /**
     * Whether the chip can be unchecked after being checked
     * @default true
     */
    allowDeselect?: boolean;
}

declare type ChipSize = 'xs' | 'sm' | 'md' | 'lg' | 'xl';

declare type ChipVariant = 'filled' | 'outline' | 'light';

declare type ColorVariant = 'primary' | 'secondary' | 'success' | 'warning' | 'danger' | 'info' | 'dark' | 'light';

declare type ComponentRadius = 'none' | 'xs' | 'sm' | 'md' | 'lg' | 'xl' | 'full';

declare type ComponentSize = 'xs' | 'sm' | 'md' | 'lg' | 'xl';

export declare const composables: {};

export declare const Indicator: __VLS_WithTemplateSlots_5<DefineComponent<IndicatorProps, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<IndicatorProps> & Readonly<{}>, {
color: ThemeColor;
size: ComponentSize;
radius: ComponentRadius;
disabled: boolean;
variant: "filled" | "light" | "outline" | "default" | "subtle";
label: string | number;
position: Position;
offset: number;
inline: boolean;
withBorder: boolean;
processing: boolean;
zIndex: number;
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, any>, {
    default?(_: {}): any;
}>;

export declare interface IndicatorProps {
    /** Position of the indicator relative to its container */
    position?: Position;
    /** Size of the indicator */
    size?: ComponentSize;
    /** Border radius of the indicator */
    radius?: ComponentRadius;
    /** Color variant of the indicator */
    color?: ThemeColor;
    /** Variant style of the indicator */
    variant?: 'filled' | 'light' | 'outline' | 'default' | 'subtle';
    /** Offset from the edge of the container */
    offset?: number;
    /** Whether the indicator should be inline */
    inline?: boolean;
    /** Content to be displayed inside the indicator */
    label?: string | number;
    /** Whether to show a border around the indicator */
    withBorder?: boolean;
    /** Whether the indicator is disabled */
    disabled?: boolean;
    /** Whether to show processing animation */
    processing?: boolean;
    /** Z-index of the indicator */
    zIndex?: number;
}

export declare type JustifyContent = 'start' | 'center' | 'end' | 'space-between';

export declare interface LoaderProps {
    color?: MantineColor;
    size?: MantineSize | number;
    variant?: 'oval' | 'dots' | 'bars';
}

export declare type MantineColor = 'primary' | 'secondary' | 'success' | 'warning' | 'danger' | 'info' | 'dark' | 'light';

export declare type MantineGradient = {
    from: string;
    to: string;
    deg?: number;
};

export declare type MantineRadius = 'none' | 'sm' | 'md' | 'lg' | 'full' | number;

export declare type MantineSize = 'xs' | 'sm' | 'md' | 'lg' | 'xl';

declare type Position = 'top-start' | 'top-end' | 'top-center' | 'bottom-start' | 'bottom-end' | 'bottom-center' | 'middle-start' | 'middle-end' | 'middle-center';

export declare const Progress: DefineComponent<ProgressProps_2, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<ProgressProps_2> & Readonly<{}>, {
size: Size;
value: number;
striped: boolean;
animated: boolean;
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, any>;

export declare interface ProgressProps {
    /** Value of the progress (0-100) */
    value: number;
    /** Size of the progress bar */
    size?: ComponentSize;
    /** Color of the progress bar */
    color?: string;
    /** Whether to show stripes */
    striped?: boolean;
    /** Whether to animate the stripes */
    animated?: boolean;
    /** Label to show inside the progress bar */
    label?: string;
    /** Custom classes */
    class?: string;
}

declare interface ProgressProps_2 {
    value?: number;
    size?: Size;
    color?: ColorVariant;
    label?: string;
    striped?: boolean;
    animated?: boolean;
}

export declare interface ProgressSectionProps {
    value: number;
    color?: string;
    striped?: boolean;
    animated?: boolean;
}

export declare const Radio: __VLS_WithTemplateSlots_4<typeof __VLS_component_4, __VLS_TemplateResult_4["slots"]>;

export declare interface RadioProps {
    /**
     * Value of the radio group (v-model)
     */
    modelValue?: any;
    /**
     * Value of the radio button
     */
    value?: any;
    /**
     * Label of the radio button
     */
    label?: string;
    /**
     * Color variant of the radio button
     */
    color?: ThemeColor;
    /**
     * Size of the radio button
     */
    size?: ComponentSize;
    /**
     * Position of the label
     */
    labelPosition?: 'left' | 'right';
    /**
     * Description text
     */
    description?: string;
    /**
     * Error message
     */
    error?: string;
    /**
     * Disabled state
     */
    disabled?: boolean;
    /**
     * Custom color for the radio icon
     */
    iconColor?: string;
    /**
     * Unique identifier
     */
    id?: string;
}

declare type SectionProps = Record<string, any>;

export declare const Select: __VLS_WithTemplateSlots_3<typeof __VLS_component_3, __VLS_TemplateResult_3["slots"]>;

export declare interface SelectOption {
    value: string;
    label: string;
    disabled?: boolean;
}

export declare interface SelectProps {
    modelValue?: string | null;
    options: SelectOption[];
    placeholder?: string;
    disabled?: boolean;
    searchable?: boolean;
    clearable?: boolean;
    loading?: boolean;
    error?: boolean;
    size?: 'xs' | 'sm' | 'md' | 'lg' | 'xl';
    radius?: 'xs' | 'sm' | 'md' | 'lg' | 'xl' | 'none';
    variant?: 'filled' | 'outline';
    color?: 'primary' | 'secondary' | 'success' | 'warning' | 'danger' | 'info' | 'dark' | 'light';
    withCheckIcon?: boolean;
    checkIconPosition?: 'left' | 'right';
    nothingFoundMessage?: string;
}

declare type Size = 'xs' | 'sm' | 'md' | 'lg' | 'xl';

export declare const TextInput: DefineComponent<TextInputProps, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {
"update:modelValue": (value: string) => any;
}, string, PublicProps, Readonly<TextInputProps> & Readonly<{
"onUpdate:modelValue"?: ((value: string) => any) | undefined;
}>, {
size: ComponentSize;
radius: ComponentRadius;
disabled: boolean;
type: string;
required: boolean;
withAsterisk: boolean;
withError: boolean;
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, any>;

export declare interface TextInputProps {
    /** Input's id attribute */
    id?: string;
    /** Input's type attribute */
    type?: string;
    /** Input's value */
    modelValue?: string;
    /** Input's placeholder */
    placeholder?: string;
    /** Disabled state */
    disabled?: boolean;
    /** Input label */
    label?: string;
    /** Label props */
    labelProps?: SectionProps;
    /** Description text shown below the input */
    description?: string;
    /** Description props */
    descriptionProps?: SectionProps;
    /** Error message */
    error?: string;
    /** Error props */
    errorProps?: SectionProps;
    /** Props passed to root element */
    wrapperProps?: SectionProps;
    /** Props passed to input element */
    inputProps?: SectionProps;
    /** Input size */
    size?: ComponentSize;
    /** Border-radius value */
    radius?: ComponentRadius;
    /** Determines whether required asterisk should be rendered */
    required?: boolean;
    /** Show asterisk even if field is not required */
    withAsterisk?: boolean;
    /** Display error state */
    withError?: boolean;
    /** Right section content */
    rightSection?: any;
    /** Props passed to right section */
    rightSectionProps?: SectionProps;
    /** Left section content */
    leftSection?: any;
    /** Props passed to left section */
    leftSectionProps?: SectionProps;
}

declare type ThemeColor = 'primary' | 'secondary' | 'success' | 'warning' | 'danger' | 'info' | 'dark' | 'light';

declare type VariantType = 'filled' | 'light' | 'outline' | 'default' | 'subtle' | 'gradient' | 'white' | 'dot';

export { }
